classification
Title: Skip tests known to fail on AIX
Type: Stage: resolved
Components: Tests Versions: Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: ericvw, vstinner
Priority: normal Keywords:

Created on 2017-04-03 15:14 by vstinner, last changed 2017-07-26 02:56 by vstinner. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 979 merged vstinner, 2017-04-03 15:24
Messages (4)
msg291073 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-04-03 15:14
Extract of David Edelsohn's email:
"""
The testsuite failures on AIX are issues with the AIX kernel and C
Library, often corner cases.  I don't want to get into arguments about
the POSIX standard.  Some of the issues are actual conformance issues
and some are different interpretations of the standard.  Addressing
the problems in AIX is a slow process. If the failing testcases are
too annoying, I would recommend to skip the testcases.

Despite the testsuite failures, Python builds and runs on AIX for the
vast majority of users and applications.  I don't see the benefit in
dropping support for a platform that functions because it doesn't
fully pass the testsuite.
"""
ref: https://mail.python.org/pipermail/python-dev/2017-April/147748.html

I agree, so let's skip tests known to fail on AIX!
msg291074 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-04-03 15:25
See also https://github.com/python/cpython/pull/978 which should fix one unit test of test_ssl.
msg291114 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-04-04 08:35
New changeset 5de85a17029356084b96db63e04d9eb150efd9c0 by Victor Stinner in branch 'master':
bpo-29972: Skip tests known to fail on AIX (#979)
https://github.com/python/cpython/commit/5de85a17029356084b96db63e04d9eb150efd9c0
msg299191 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-07-26 02:56
The issue title is very generic. I skipped some tests. I may reopen a new issue if I see other tests that can be skipped on AIX.
History
Date User Action Args
2017-07-26 02:56:23vstinnersetstatus: open -> closed
resolution: fixed
messages: + msg299191

stage: resolved
2017-04-04 08:35:18vstinnersetmessages: + msg291114
2017-04-03 15:25:35vstinnersetmessages: + msg291074
2017-04-03 15:24:49vstinnersetpull_requests: + pull_request1152
2017-04-03 15:23:02ericvwsetnosy: + ericvw
2017-04-03 15:14:20vstinnercreate